diff -Xcvsignore -ur kdelibs-3.0.4/kio/misc/ktelnetservice.cpp kdelibs-3.0.5/kio/misc/ktelnetservice.cpp
--- kdelibs-3.0.4/kio/misc/ktelnetservice.cpp	2001-09-25 14:04:11.000000000 +0200
+++ kdelibs-3.0.5/kio/misc/ktelnetservice.cpp	2002-11-05 03:57:04.000000000 +0100
@@ -1,4 +1,4 @@
-/* 
+/*
    Copyright (c) 2001 Malte Starostik <malte@kde.org>
    based on kmailservice.cpp,
    Copyright (c) 2000 Simon Hausmann <hausmann@kde.org>
@@ -7,19 +7,19 @@
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
- 
+
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.
- 
+
    You should have received a copy of the GNU General Public License
    along with this program; see the file COPYING.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
 */
 
-// $Id: ktelnetservice.cpp,v 1.2 2001/09/25 12:04:11 mueller Exp $
+// $Id: ktelnetservice.cpp,v 1.2.2.1 2002/10/31 21:57:15 faure Exp $
 
 #include <kapplication.h>
 #include <kcmdlineargs.h>
@@ -48,9 +48,16 @@
 
 	KURL url(args->arg(0));
 	QStringList cmd;
-	
+
 	cmd << "-e";
-	cmd << "telnet";
+        if ( url.protocol() == "telnet" )
+            cmd << "telnet";
+        else if ( url.protocol() == "rlogin" )
+            cmd << "rlogin";
+        else {
+            kdError() << "Invalid protocol " << url.protocol() << endl;
+            return 2;
+        }
 	if (!url.user().isEmpty())
 	{
 		cmd << "-l";
@@ -61,7 +68,7 @@
 		cmd << QString::number(url.port());
 
 	app.kdeinitExec("konsole", cmd);
-	
+
 	return 0;
 }
 
diff -Xcvsignore -ur kdelibs-3.0.4/kio/misc/rlogin.protocol kdelibs-3.0.5/kio/misc/rlogin.protocol
--- kdelibs-3.0.4/kio/misc/rlogin.protocol	2001-01-21 00:01:05.000000000 +0100
+++ kdelibs-3.0.5/kio/misc/rlogin.protocol	2002-11-05 03:57:04.000000000 +0100
@@ -1,10 +1,10 @@
 [Protocol]
-exec=konsole -e rlogin `echo %u | sed -e 's,rlogin:/*,,'`
+exec=ktelnetservice %u
 protocol=rlogin
 input=none
 output=none
 helper=true
-listing=false
+listing=
 reading=false
 writing=false
 makedir=false
